%define gstreamername gstreamer1
%global __python %{__python3}

Name: gstlal-burst
Version: 0.3.1
Release: 1%{?dist}
Summary: GSTLAL Burst
License: GPL
Group: LSC Software/Data Analysis

# --- package requirements --- #
Requires: fftw >= 3
Requires: python%{python3_pkgversion}-glue >= 2.0.0
Requires: gobject-introspection >= 1.30.0
Requires: gstlal >= 1.9.0
Requires: gstlal-ugly >= 1.9.1
Requires: %{gstreamername} >= 1.14.1
Requires: %{gstreamername}-plugins-base >= 1.14.1
Requires: %{gstreamername}-plugins-good >= 1.14.1
Requires: gsl
Requires: orc >= 0.4.16

# --- LSCSoft package requirements --- #
Requires: lal >= 6.20.1
Requires: lalmetaio >= 1.5.1
Requires: lalburst >= 1.5.2

# --- python package requirements --- #
Requires: python3 >= 3.6
Requires: python%{python3_pkgversion}-%{gstreamername}
Requires: python%{python3_pkgversion}-ligo-segments >= 1.2.0
Requires: h5py
Requires: scipy
Requires: numpy

# -- build requirements --- #
BuildRequires: fftw-devel >= 3
BuildRequires: gobject-introspection-devel >= 1.30.0
BuildRequires: graphviz
BuildRequires: gsl-devel
BuildRequires: gstlal-devel >= 1.9.0
BuildRequires: %{gstreamername}-devel >= 1.14.1
BuildRequires: %{gstreamername}-plugins-base-devel >= 1.14.1
BuildRequires: liblal-devel >= 6.20.1
BuildRequires: liblalburst-devel >= 1.5.2
BuildRequires: liblalmetaio-devel >= 1.5.1
BuildRequires: orc >= 0.4.16
BuildRequires: pkgconfig >= 0.18.0
BuildRequires: python3-devel >= 3.6
BuildRequires: python%{python3_pkgversion}-lal >= 6.20.1
Conflicts: gstlal-ugly < 0.6.0
Source: https://software.igwn.org/lscsoft/source/gstlal-burst-%{version}.tar.gz
URL: https://git.ligo.org/lscsoft/gstlal
Packager: Patrick Godwin <patrick.godwin@ligo.org>
BuildRoot: %{_tmppath}/%{name}-%{version}-root
%description
This package contains the plugins and shared libraries required to run the gstlal burst (generic transient) pipeline.

%package devel
Summary: Files and documentation needed for compiling gstlal-based plugins and programs.
Group: LSC Software/Data Analysis
Requires: %{name} = %{version} 
Requires: gstlal-devel >= 1.9.0
Requires: gstlal-ugly-devel >= 1.9.1
Requires: python3-devel >= 3.6 
Requires: fftw-devel >= 3 
Requires: %{gstreamername}-devel >= 1.14.1
Requires: %{gstreamername}-plugins-base-devel >= 1.14.1 
Requires: liblal-devel >= 6.20.1
Requires: liblalmetaio-devel >= 1.5.1
Requires: liblalburst-devel >= 1.5.2

%description devel
This package contains the files needed for building gstlal-burst based plugins
and programs.

%prep
%setup -q -n %{name}-%{version}


%build
%configure PYTHON=python3
%{__make}


%install
# FIXME:  why doesn't % makeinstall macro work?
DESTDIR=${RPM_BUILD_ROOT} %{__make} install
# remove .so symlinks from libdir.  these are not included in the .rpm,
# they will be installed by ldconfig in the post-install script, except for
# the .so symlink which isn't created by ldconfig and gets shipped in the
# devel package
[ ${RPM_BUILD_ROOT} != "/" ] && find ${RPM_BUILD_ROOT}/%{_libdir} -name "*.so.*" -type l -delete
# don't distribute *.la files
[ ${RPM_BUILD_ROOT} != "/" ] && find ${RPM_BUILD_ROOT} -name "*.la" -type f -delete

%post
if test -d /usr/lib64 ; then
	ldconfig /usr/lib64
else
	ldconfig
fi


%postun
if test -d /usr/lib64 ; then
	ldconfig /usr/lib64
else
	ldconfig
fi


%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -Rf ${RPM_BUILD_ROOT}
rm -Rf ${RPM_BUILD_DIR}/%{name}-%{version}


%files
%defattr(-,root,root)
%{_bindir}/*
%{_prefix}/%{_lib}/python*/site-packages/gstlal
%{_libdir}/gstreamer-1.0/*.so
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_libdir}/gstreamer-1.0/*.a
%{_includedir}/*
